int virus_analyze(char *fname, char *vname, char *reason);
int virus_scan(char *fname,char *vname,char *reason);

int virus_analyze_one(int analyze, char *part,int partlen,char *vname, int type);
char * virus_status(char *info);
unsigned int virus_part_crc(char *part, int clen);
int virus_write(char *dbname);
int virus_read(char *dbname, char *reason);
int virus_extract(int t);
int virus_set_safe(int x);
int virus_init(char *dbname, char *reason);

